GET /data/projects/{project_id}/news/{news_id}

Retrieves detailed information about a specific news item from a givenproject.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • news_id string(uuid) Required

    Unique identifier of the news item

Responses

  • 200 application/json

    News item successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Unique news item identifier

    • title string

      News item title

    • content string

      News item content

    • created_at string(date-time)

      Creation timestamp

    • author_id string(uuid)

      Author's user ID

    • project_id string(uuid)

      Project identifier

  • 404

    News item or project not found

GET /data/projects/{project_id}/news/{news_id}
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "string",
  "title": "string",
  "content": "string",
  "created_at": "2026-05-04T09:42:00Z",
  "author_id": "string",
  "project_id": "string"
}